#include "fisher.h"

#if !defined READFILE_H
#define READFILE_H

void ReadBasicPara(ifstream& likFile, LikTable& lt);
void ReadRecombRate(ifstream& likFile, LikTable& lt);
void RetouchRecombRate(LikTable& lt);
void ReadLik(ifstream& likFile, LikTable& lt);
void ReadSeqPara(ifstream& seqFile, Sequ& sq);
void ReadSeq(ifstream& seqFile, Sequ& sq);
void ReadLocsPara(ifstream& locsFile, Loci& lc);
void ReadLocs(ifstream& locsFile, Loci& lc);

int JudgeSites(IntVect& iv, Sequ& sq, Loci& lc, double MAF);
void SelSNPSeq(Sequ& nsq, Sequ& sq, IntVect& iv);
void SelSNPLocs(Loci& nlc, Loci& lc, IntVect& iv);

void WriteRes(FileNames& fn, Loci& lc, RateSearch& rs, HotReg& hr, WinWeight& ww);

#endif
