#include "fisher.h"

#if !defined REGLIKTOOL_H
#define REGLIKTOOL_H

inline int angInd2(int i, int j, int Width);

double SumRate2SNP(double *aRate, Inter& sinter);
double LikCont(double aRate, double *likVect, LikTable& lt);
double RegLik(double *aRate, Inter& sinter, DataLikMatrix& lm, LikTable& lt);
double WholeRegLik(double *aRate, DataLikMatrix& lm, LikTable& lt);
int AverRegRate(Inter& sinter, RateSearch& rs, Loci& lc, DataLikMatrix& lm, LikTable& lt);
int AverWholeRegRate(RateSearch& rs, Loci& lc, DataLikMatrix& lm, LikTable& lt);

//////////////////////////////////////////////////////////////////////////
// the index of the triangle matrix, with 'Width' elements
// when there is n SNP, 'Width' = n
inline int angInd2(int i, int j, int Width)
{
	return (Width * i - (i+2) * (i+1) / 2 + j);
}

#endif
