#include <iostream.h>
#include <fstream.h>
#include <math.h>

#include "searchtool.h"
#include "fisher.h"


//////////////////////////////////////////////////////////////////////////
// get search rate vector
void RateVect(RateSearch& rs)
{
	int i;
	for (i = 0; i < rs.nRate; i++)
	{
		rs.rate[i] = rs.minRate * pow((rs.maxRate / rs.minRate), (1.0 / (rs.nRate - 1.0) * i));
	}
	if (DEBUG != 2)
	{
		cout << "The recombination rate that are searched are:" << endl;
		for (i = 0; i < rs.nRate; i++)
		{
			cout << rs.rate[i] << "  ";
		}
		cout << endl;
	}
}
