#include "fisher.h"

#if !defined SINGLELIK_H
#define SINGLELIK_H

void GetPairFreqGeno(int *freq, int *seq, int numSNP, int *ind, int numInd, int S1, int S2);
void GetPairFreqHap(int *freq, int *seq, int numSNP, int *ind, int numInd, int S1, int S2);
void CalDipLik(double *lknew, double *lkres, int *freq, double *lnfac, int numDip, int numRate, double *lik);
void CalHapLik(double *lknew, int *freq, double *lnfac, int numHap, int numRate, double *lik);

void OrderPtHap(int *pt, int nseq);
void SwapPt(int *pt, int s1, int s2);
void CalHapLikMis(double *lkmiss, int *pt, double *lnfac, int numRate, int numHap, double *lik);
void GetLnfac(double *lnfac, int len);
int SnpHetero(int *hetInd, int *homoInd, int *seq, int numSNP, int *ind, int numInd, double thrd);
void OutLikFile(DataLikMatrix& lm, int procI, int numRate, int hg);

#endif
