#include "fisher.h"

#if !defined TRUNCLIKTOOL_H
#define TRUNCLIKTOOL_H

double TruncRegLik(double *aRate, Inter& sinter, DataLikMatrix& lm, LikTable& lt, WinWeight& ww);
double TruncWholeRegLik(double *aRate, DataLikMatrix& lm, LikTable& lt, WinWeight& ww);
int TruncAverRegRate(Inter& sinter, RateSearch& rs, Loci& lc, DataLikMatrix& lm, LikTable& lt, WinWeight& ww);
int TruncAverWholeRegRate(RateSearch& rs, Loci& lc, DataLikMatrix& lm, LikTable& lt, WinWeight& ww);
void GridRate2SNPaRate(GridRate& gr, SNPRate& sr, RateSearch& rs);

void CalNumGrid(GridRate& gr, Loci& lc, WinWeight& ww);
void IniGrid(GridRate& gr, Loci& lc, WinWeight& ww);
void IniSNPRate(SNPRate& sr, Loci& lc);
int TruncMaxHotRate(Inter& hot, HotReg& hr, GridRate& gr, SNPRate& sr, RateSearch& rs, DataLikMatrix& lm, LikTable& lt, WinWeight& ww, double& maxLik, int outFlag);
int TruncMaxBkRate(HotReg& hr, GridRate& gr, SNPRate& sr, RateSearch& rs, DataLikMatrix& lm, LikTable& lt, WinWeight& ww, int outFlag);
void IniHotReg(HotReg& hr, GridRate& gr, SNPRate& sr, RateSearch& rs, Loci& lc, DataLikMatrix& lm, LikTable& lt, WinWeight& ww);
void TruncHot(RateSearch& rs, Loci& lc, DataLikMatrix& lm, LikTable& lt, WinWeight& ww, HotReg& hr);
void SetBkTags(HotReg& hr, GridRate& gr, SNPRate& sr, RateSearch& rs, Loci& lc, DataLikMatrix& lm, LikTable& lt, WinWeight& ww);

#endif
