#include "vectool.h"

//////////////////////////////////////////////////////////////////////////
// calculate the sum of the first leng elements in an int vector
int SumVec(int *vecName, int leng)
{
	int sum = 0;
	int i;
	for (i = 0; i < leng; i++)
	{
		sum += vecName[i];
	}
	return sum;
}

//////////////////////////////////////////////////////////////////////////
// get the likelihood ratio index that maximize likelihood
int GetMaxInd(double *pn, int num)
{
	int maxInd = 0;
	int i;
	for (i = 1; i < num; i++)
	{
		if (pn[i] > pn[maxInd])
		{
			maxInd = i;
		}
	}
	return maxInd;
}

//////////////////////////////////////////////////////////////////////////
// bubble sort
void BubbleSortInd(int *ind, int *val, int num)
{
	int i, j;

	for (i = 0; i < num; i++)
	{
		ind[i] = i;
	}

	int temp;
	for (i = 0; i < num - 1; i++)
	{
		for (j = i + 1; j < num; j++)
		{
			if (val[j] < val[i])
			{
				temp = val[i];
				val[i] = val[j];
				val[j] = temp;

				temp = ind[i];
				ind[i] = ind[j];
				ind[j] = temp;
			}
		}
	}

	return;
}
